Множественные уязвимости в ytnef

Дата публикации:
08.09.2009
Дата изменения:
08.09.2009
Всего просмотров:
837
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ytnef 2.x
Уязвимые версии: ytnef 2.6, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в функции ProcessTNEF(). Удаленный пользователь может с помощью специально сформированного TNEF вложения вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки входных данных при обработке TNEF записей. Удаленный пользователь может с помощью специально сформированного TNEF вложения, содержащего символы обхода каталога, перезаписать произвольные файлы на системе.

URL производителя: sourceforge.net/projects/ytnef/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.akitasecurity.nl/advisory.php?id=AK20090601
http://www.ocert.org/advisories/ocert-2009-013.html

или введите имя

CAPTCHA